Unscheduled tasks
The functionality is available in PRO Edition only
Enabling unscheduledTasks functionality
Unscheduled tasks are disabled by default. To enable support for them, set the unscheduledTasks property to true. This activates the full logic for handling unscheduled tasks, allows them to be shown in the tasks tree, and lets you assign or change their unscheduled state on the fly. Columns like Start and Duration will display a hyphen (-) for unscheduled tasks.
<script setup>
import { getData } from "./data";
import { Gantt } from "@svar/vue-gantt";
const data = getData();
</script>
<template>
<Gantt :tasks="data.tasks" :unscheduledTasks="true" />
</template>
Loading unscheduled tasks programmatically
To define a task as unscheduled, you can set the unscheduled property to true in the task object via the tasks property:
{
id: "task1",
text: "Unscheduled task",
unscheduled: true
}
Handling unscheduled tasks in UI
All new tasks created via the UI are unscheduled by default. When :unscheduledTasks="true" is enabled, tasks are displayed in the tasks tree, you can customize their appearance in columns, and it's possible to edit their scheduled/unscheduled state directly through the built-in Editor.
Adding unscheduled tasks
You can mark tasks as unscheduled by setting the unscheduled: true flag directly on the task object. Such tasks have no start/end dates and appear in the sidebar with "–" placeholders (unless overridden with a custom template).
Editing unscheduled state in the Editor
When the unscheduledTasks option is enabled, the Editor automatically adds a Schedule / Unschedule toggle.
This button allows users to switch a task between scheduled and unscheduled states directly from the UI without manually modifying dates.
Customizing column templates
You can override how unscheduled tasks appear in columns. For example, you can show a hyphen ("–"), a label, or any custom UI instead of the usual formatted dates or calculated duration.
Displaying unscheduled tasks in grid
The functionality is available in PRO Edition only
All new tasks created via the UI are unscheduled by default. To show unscheduled tasks in the tasks tree (grid) area, set the unscheduledTaks property to true. Columns like Start and Duration will display a hyphen (-) for unscheduled tasks. Unscheduled tasks are not shown in the Chart.
<script setup>
import { getData } from "./data";
import { Gantt } from "@svar/vue-gantt";
const data = getData();
</script>
<template>
<Gantt :tasks="data.tasks" :unscheduledTasks="true" />
</template>
Example
The following example demonstrates how to:
- load unscheduled tasks initially
- display unscheduled task in UI using
:unscheduledTasks="true" - allow editing through the built-in Editor component
<script setup>
import { ref } from "vue";
import { Gantt, Editor } from "@svar/vue-gantt";
const api = ref();
const tasks = [
{
id: 1,
open: true,
start: new Date(2023, 11, 6),
duration: 8,
text: "Gantt Widget",
progress: 60,
type: "summary"
},
{
id: 2,
parent: 1,
start: new Date(2023, 11, 6),
duration: 4,
text: "Lib-Gantt",
progress: 80
},
{
id: 3,
parent: 1,
unscheduled: true, //unscheduled task
text: "UI Layer",
progress: 30
}
];
const links = [];
const scales = [];
</script>
<template>
<Gantt
ref="api"
:tasks="tasks"
:links="links"
:scales="scales"
:unscheduledTasks="true"
/>
<Editor :api="api" />
</template>
Related samples: Unscheduled tasks

Skip to main content

Unscheduled tasks

The functionality is available in PRO Edition only

PRO

Enabling unscheduledTasks functionality

Unscheduled tasks are disabled by default. To enable support for them, set the unscheduledTasks property to true. This activates the full logic for handling unscheduled tasks, allows them to be shown in the tasks tree, and lets you assign or change their unscheduled state on the fly. Columns like Start and Duration will display a hyphen (-) for unscheduled tasks.

import { getData } from "./data";
import { Gantt } from "@svar/react-gantt";

const data = getData();

export default function App() {
return <Gantt tasks={data.tasks} unscheduledTasks={true} />;
}

Loading unscheduled tasks programmatically

To define a task as unscheduled, you can set the unscheduled property to true in the task object via the tasks property:

{
id: "task1",
text: "Unscheduled task",
unscheduled: true
}

Handling unscheduled tasks in UI

All new tasks created via the UI are unscheduled by default. When unscheduledTasks={true} is enabled, tasks are displayed in the tasks tree, you can customize their appearance in columns, and it's possible to edit their scheduled/unscheduled state directly through the built-in Editor.

Adding unscheduled tasks

You can mark tasks as unscheduled by setting the unscheduled: true flag directly on the task object. Such tasks have no start/end dates and appear in the sidebar with "–" placeholders (unless overridden with a custom template).

Editing unscheduled state in the Editor

When the unscheduledTasks option is enabled, the Editor automatically adds a Schedule / Unschedule toggle. This button allows users to switch a task between scheduled and unscheduled states directly from the UI without manually modifying dates.

Customizing column templates

You can override how unscheduled tasks appear in columns. For example, you can show a hyphen ("–"), a label, or any custom UI instead of the usual formatted dates or calculated duration.

Displaying unscheduled tasks in grid

The functionality is available in PRO Edition only

PRO

All new tasks created via the UI are unscheduled by default. To show unscheduled tasks in the tasks tree (grid) area, set the unscheduledTaks property to true. Columns like Start and Duration will display a hyphen (-) for unscheduled tasks. Unscheduled tasks are not shown in the Chart.

import { getData } from "./data";
import { Gantt } from "@svar-ui/react-gantt";

const data = getData();

export default function App() {
return <Gantt tasks={data.tasks} unscheduledTasks={true} />;
}

Example

The following example demonstrates how to:

  • load unscheduled tasks initially
  • display unscheduled task in UI using unscheduledTasks={true}
  • allow editing through the built-in Editor component
import { useState } from "react";
import { Gantt, Editor } from "@svar/react-gantt";

export default function App() {
const [api, setApi] = useState(null);

const tasks = [
{
id: 1,
open: true,
start: new Date(2023, 11, 6),
duration: 8,
text: "Gantt Widget",
progress: 60,
type: "summary"
},
{
id: 2,
parent: 1,
start: new Date(2023, 11, 6),
duration: 4,
text: "Lib-Gantt",
progress: 80
},
{
id: 3,
parent: 1,
unscheduled: true, //unscheduled task
text: "UI Layer",
progress: 30
}
];

const links = [];

const scales = [];

return (
<>
<Gantt
init={setApi}
tasks={tasks}
links={links}
scales={scales}
unscheduledTasks={true}
/>

{api && <Editor api={api} />}
</>
);
}

Related samples: Unscheduled tasks